This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 814049 - [rhel-6-server-sam-1-rpms] repository should be rhel-6-server-sam-rpms
[rhel-6-server-sam-1-rpms] repository should be rhel-6-server-sam-rpms
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
1.0.0
Unspecified Unspecified
urgent Severity urgent
: rc
: 1.X
Assigned To: sachua
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 02:30 EDT by Hui Wang
Modified: 2014-06-18 03:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 00:15:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hui Wang 2012-04-19 02:30:39 EDT
Description of problem:
In the Installation_Guide doc[1] said that we can enable [rhel-6-server-sam-1-rpms] repository to install the katello-headpin-all. But after register by using qa@redhat.com, and subscribe, then yum repolist, there are no the repository. Actually rhel-6-server-sam-debug-rpms, rhel-6-server-sam-rpms, rhel-6-server-sam-source-rpms are existed.

[1] http://docs.redhat.com/docs/en-US/Red_Hat_Subscription_Asset_Manager/1.0/html/Installation_Guide/sect-Installation_Guide-Installation-Installing_from_the_Repository.html 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Register by qa@redhat.com
2. Subscribe the subscription(Red Hat Employee Subscription)
3. List the repository:
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
rhel-6-server-cf-ce-1-rpms                                                                            | 2.5 kB     00:00     
rhel-6-server-cf-ce-1-rpms/primary_db                                                                 | 1.2 kB     00:00     
rhel-6-server-cf-se-1-rpms                                                                            | 2.5 kB     00:00     
rhel-6-server-cf-se-1-rpms/primary_db                                                                 | 1.2 kB     00:00     
rhel-6-server-cf-tools-1-rpms                                                                         | 2.5 kB     00:00     
rhel-6-server-cf-tools-1-rpms/primary_db                                                              | 1.2 kB     00:00     
rhel-6-server-rpms                                                                                    | 3.7 kB     00:00     
rhel-6-server-rpms/primary_db                                                                         |  12 MB     05:35     
rhel-ha-for-rhel-6-server-rpms                                                                        | 3.7 kB     00:00     
rhel-ha-for-rhel-6-server-rpms/primary_db                                                             | 111 kB     00:00     
rhel-lb-for-rhel-6-server-rpms                                                                        | 3.7 kB     00:00     
rhel-lb-for-rhel-6-server-rpms/primary_db                                                             | 5.9 kB     00:00     
rhel-rs-for-rhel-6-server-rpms                                                                        | 3.7 kB     00:00     
rhel-rs-for-rhel-6-server-rpms/primary_db                                                             | 120 kB     00:00     
rhel-scalefs-for-rhel-6-server-rpms                                                                   | 3.7 kB     00:00     
rhel-scalefs-for-rhel-6-server-rpms/primary_db                                                        |  10 kB     00:00     
repo id                                         repo name                                                      status
repo id                                         repo name                                                      status
rhel-6-server-beta-debug-rpms                   Red Hat Enterprise Linux 6 Server Beta (Debug RPMs)            disabled
rhel-6-server-beta-rpms                         Red Hat Enterprise Linux 6 Server Beta (RPMs)                  disabled
rhel-6-server-beta-source-rpms                  Red Hat Enterprise Linux 6 Server Beta (Source RPMs)           disabled
rhel-6-server-cf-ce-1-beta-debug-rpms           Red Hat CloudForms Cloud Engine Beta (Debug RPMs)              disabled
rhel-6-server-cf-ce-1-beta-rpms                 Red Hat CloudForms Cloud Engine Beta (RPMs)                    disabled
rhel-6-server-cf-ce-1-beta-source-rpms          Red Hat CloudForms Cloud Engine Beta (Source RPMs)             disabled
rhel-6-server-cf-ce-1-debug-rpms                Red Hat CloudForms Cloud Engine (Debug RPMs)                   disabled
rhel-6-server-cf-ce-1-rpms                      Red Hat CloudForms Cloud Engine (RPMs)                         enabled:     0
rhel-6-server-cf-ce-1-source-rpms               Red Hat CloudForms Cloud Engine (Source RPMs)                  disabled
rhel-6-server-cf-se-1-beta-debug-rpms           Red Hat CloudForms System Engine Beta (Debug RPMs)             disabled
rhel-6-server-cf-se-1-beta-rpms                 Red Hat CloudForms System Engine Beta (RPMs)                   disabled
rhel-6-server-cf-se-1-beta-source-rpms          Red Hat CloudForms System Engine Beta (Source RPMs)            disabled
rhel-6-server-cf-se-1-debug-rpms                Red Hat CloudForms System Engine (Debug RPMs)                  disabled
rhel-6-server-cf-se-1-rpms                      Red Hat CloudForms System Engine (RPMs)                        enabled:     0
rhel-6-server-cf-se-1-source-rpms               Red Hat CloudForms System Engine (Source RPMs)                 disabled
rhel-6-server-cf-tools-1-beta-debug-rpms        Red Hat CloudForms Tools for RHEL 6 Beta (Debug RPMs)          disabled
rhel-6-server-cf-tools-1-beta-rpms              Red Hat CloudForms Tools for RHEL 6 Beta (RPMs)                disabled
rhel-6-server-cf-tools-1-beta-source-rpms       Red Hat CloudForms Tools for RHEL 6 Beta (Source RPMs)         disabled
rhel-6-server-cf-tools-1-debug-rpms             Red Hat CloudForms Tools for RHEL 6 (Debug RPMs)               disabled
rhel-6-server-cf-tools-1-rpms                   Red Hat CloudForms Tools for RHEL 6 (RPMs)                     enabled:     0
rhel-6-server-cf-tools-1-source-rpms            Red Hat CloudForms Tools for RHEL 6 (Source RPMs)              disabled
rhel-6-server-debug-rpms                        Red Hat Enterprise Linux 6 Server (Debug RPMs)                 disabled
rhel-6-server-optional-beta-debug-rpms          Red Hat Enterprise Linux 6 Server - Optional Beta (Debug RPMs) disabled
rhel-6-server-optional-beta-rpms                Red Hat Enterprise Linux 6 Server - Optional Beta (RPMs)       disabled
rhel-6-server-optional-beta-source-rpms         Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs disabled
rhel-6-server-optional-debug-rpms               Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs)      disabled
rhel-6-server-optional-rpms                     Red Hat Enterprise Linux 6 Server - Optional (RPMs)            disabled
rhel-6-server-optional-source-rpms              Red Hat Enterprise Linux 6 Server - Optional (Source RPMs)     disabled
rhel-6-server-rpms                              Red Hat Enterprise Linux 6 Server (RPMs)                       enabled: 7,079
rhel-6-server-sam-beta-debug-rpms               Red Hat Subscription Asset Manager (for RHEL 6 Server) Beta (D disabled
rhel-6-server-sam-beta-rpms                     Red Hat Subscription Asset Manager (for RHEL 6 Server) Beta (R disabled
rhel-6-server-sam-beta-source-rpms              Red Hat Subscription Asset Manager (for RHEL 6 Server) Beta (S disabled
rhel-6-server-sam-debug-rpms                    Red Hat Subscription Asset Manager (for RHEL 6 Server) (Debug  disabled
rhel-6-server-sam-rpms                          Red Hat Subscription Asset Manager (for RHEL 6 Server) (RPMs)  disabled
rhel-6-server-sam-source-rpms                   Red Hat Subscription Asset Manager (for RHEL 6 Server) (Source disabled
rhel-6-server-source-rpms                       Red Hat Enterprise Linux 6 Server (Source RPMs)                disabled
rhel-6-server-supplementary                     Red Hat Enterprise Linux 6 Server - Supplementary (RPMs)       disabled
rhel-6-server-supplementary-beta                Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs)  disabled
rhel-6-server-supplementary-beta-debuginfo      Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug  disabled
rhel-6-server-supplementary-beta-source-rpms    Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source disabled
rhel-6-server-supplementary-debuginfo           Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs) disabled
rhel-6-server-supplementary-source-rpms         Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs disabled
rhel-ha-for-rhel-6-server-beta-debug-rpms       Red Hat Enterprise Linux High Availability (for RHEL 6 Server) disabled
rhel-ha-for-rhel-6-server-beta-rpms             Red Hat Enterprise Linux High Availability (for RHEL 6 Server) disabled
rhel-ha-for-rhel-6-server-beta-source-rpms      Red Hat Enterprise Linux High Availability (for RHEL 6 Server) disabled
rhel-ha-for-rhel-6-server-debug-rpms            Red Hat Enterprise Linux High Availability (for RHEL 6 Server) disabled
rhel-ha-for-rhel-6-server-rpms                  Red Hat Enterprise Linux High Availability (for RHEL 6 Server) enabled:   144
rhel-ha-for-rhel-6-server-source-rpms           Red Hat Enterprise Linux High Availability (for RHEL 6 Server) disabled
rhel-lb-for-rhel-6-server-beta-debug-rpms       Red Hat Enterprise Linux Load Balancer (for RHEL 6 Server) Bet disabled
rhel-lb-for-rhel-6-server-beta-rpms             Red Hat Enterprise Linux Load Balancer (for RHEL 6 Server) Bet disabled
rhel-lb-for-rhel-6-server-beta-source-rpms      Red Hat Enterprise Linux Load Balancer (for RHEL 6 Server) Bet disabled
rhel-lb-for-rhel-6-server-debug-rpms            Red Hat Enterprise Linux Load Balancer (for RHEL 6 Server) (De disabled
rhel-lb-for-rhel-6-server-rpms                  Red Hat Enterprise Linux Load Balancer (for RHEL 6 Server) (RP enabled:     3
rhel-lb-for-rhel-6-server-source-rpms           Red Hat Enterprise Linux Load Balancer (for RHEL 6 Server) (So disabled
rhel-rs-for-rhel-6-server-beta-debug-rpms       Red Hat Enterprise Linux Resilient Storage (for RHEL 6 Server) disabled
rhel-rs-for-rhel-6-server-beta-rpms             Red Hat Enterprise Linux Resilient Storage (for RHEL 6 Server) disabled
rhel-rs-for-rhel-6-server-beta-source-rpms      Red Hat Enterprise Linux Resilient Storage (for RHEL 6 Server) disabled
rhel-rs-for-rhel-6-server-debug-rpms            Red Hat Enterprise Linux Resilient Storage (for RHEL 6 Server) disabled
rhel-rs-for-rhel-6-server-rpms                  Red Hat Enterprise Linux Resilient Storage (for RHEL 6 Server) enabled:   165
rhel-rs-for-rhel-6-server-source-rpms           Red Hat Enterprise Linux Resilient Storage (for RHEL 6 Server) disabled
rhel-scalefs-for-rhel-6-server-beta-debug-rpms  Red Hat Enterprise Linux Scalable File System (for RHEL 6 Serv disabled
rhel-scalefs-for-rhel-6-server-beta-rpms        Red Hat Enterprise Linux Scalable File System (for RHEL 6 Serv disabled
rhel-scalefs-for-rhel-6-server-beta-source-rpms Red Hat Enterprise Linux Scalable File System (for RHEL 6 Serv disabled
rhel-scalefs-for-rhel-6-server-debug-rpms       Red Hat Enterprise Linux Scalable File System (for RHEL 6 Serv disabled
rhel-scalefs-for-rhel-6-server-rpms             Red Hat Enterprise Linux Scalable File System (for RHEL 6 Serv enabled:    13
rhel-scalefs-for-rhel-6-server-source-rpms      Red Hat Enterprise Linux Scalable File System (for RHEL 6 Serv disabled
rhel-source                                     Red Hat Enterprise Linux 6Server - x86_64 - Source             disabled
rhel-source-beta                                Red Hat Enterprise Linux 6Server Beta - x86_64 - Source        disabled
repolist: 7,404

  
Actual results:
There are no [rhel-6-server-sam-1-rpms] repository.

Expected results:
The repository in the installation guide is consistent with actually.

Additional info:
Comment 4 Hui Wang 2012-05-17 23:34:17 EDT
Overall, register to RHN, need add the channel sam-rhel-x86_64-server-6; register to RHSM, need enable rhel-6-server-sam-rpms. Details as following.
And pls update[1](1.0) and [2](1.1)

[1]http://docs.redhat.com/docs/en-US/Red_Hat_Subscription_Asset_Manager/1.0/html/Installation_Guide/sect-Installation_Guide-Installation-Installing_from_the_Repository.html 
[2]http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Subscription_Asset_Manager/1.1/html/Installation_Guide/chap-Installation_Guide-Installation.html

===========RHN Classic============
1.Add sam-rhel-x86_64-server-6-htb channel 
# rhn-channel --add --channel=sam-rhel-x86_64-server-6-htb
2.Check which repo can provide katello-headpin-all
# rhn-channel  --list
rhel-x86_64-server-6
sam-rhel-x86_64-server-6-htb

# yum whatprovides katello-headpin-all
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
Updating certificate-based repositories.
Warning: 3.0.x versions of yum would erroneously match against filenames.
 You can use "*/katello-headpin-all" and/or "*bin/katello-headpin-all" to get that behaviour
No Matches found

3.Add sam-rhel-x86_64-server-6 channel
[root@localhost ~]# rhn-channel --add --channel=sam-rhel-x86_64-server-6
Username: qa@redhat.com
Password: 

[root@localhost ~]# rhn-channel --list
rhel-x86_64-server-6
sam-rhel-x86_64-server-6
sam-rhel-x86_64-server-6-htb

4.Check which repo can provide katello-headpin-all
# yum whatprovides katello-headpin-all
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
Updating certificate-based repositories.
sam-rhel-x86_64-server-6                                                                                                              | 1.6 kB     00:00     
sam-rhel-x86_64-server-6/primary                                                                                                      |  39 kB     00:00     
sam-rhel-x86_64-server-6                                                                                                                             171/171
katello-headpin-all-0.1.145-1.el6.noarch : A meta-package to pull in all components for katello-headpin
Repo        : sam-rhel-x86_64-server-6
Matched from:

=========RHSM================
1.Register to RHSM
# subscription-manager register --username=qa@redhat.com --password=XXX
The system has been registered with id: 6abe02ea-8521-4634-896f-6e16998d1528 
2.Subscribe
# subscription-manager subscribe --auto
Installed Product Current Status:

ProductName:         	Red Hat Enterprise Linux Server
Status:               	Subscribed               

3.Check which repo can provide katello-headpin-all 
# yum repolist all
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
rhel-6-server-cf-tools-1-rpms                                                                                                         | 2.6 kB     00:00     
rhel-6-server-cf-tools-1-rpms/primary_db                                                                                              |  17 kB     00:00     
rhel-6-server-rpms                                                                                                                    | 3.7 kB     00:00     
rhel-6-server-rpms/primary_db                                                                                                         |  12 MB     01:02     
repo id                                                  repo name                                                                             status
rhel-6-server-beta-debug-rpms                            Red Hat Enterprise Linux 6 Server Beta (Debug RPMs)                                   disabled
rhel-6-server-beta-rpms                                  Red Hat Enterprise Linux 6 Server Beta (RPMs)                                         disabled
rhel-6-server-beta-source-rpms                           Red Hat Enterprise Linux 6 Server Beta (Source RPMs)                                  disabled
rhel-6-server-cf-ce-1-beta-debug-rpms                    Red Hat CloudForms Cloud Engine Beta (Debug RPMs)                                     disabled
rhel-6-server-cf-ce-1-beta-rpms                          Red Hat CloudForms Cloud Engine Beta (RPMs)                                           disabled
rhel-6-server-cf-ce-1-beta-source-rpms                   Red Hat CloudForms Cloud Engine Beta (Source RPMs)                                    disabled
rhel-6-server-cf-ce-1-debug-rpms                         Red Hat CloudForms Cloud Engine (Debug RPMs)                                          disabled
rhel-6-server-cf-ce-1-rpms                               Red Hat CloudForms Cloud Engine (RPMs)                                                disabled
rhel-6-server-cf-ce-1-source-rpms                        Red Hat CloudForms Cloud Engine (Source RPMs)                                         disabled
rhel-6-server-cf-se-1-beta-debug-rpms                    Red Hat CloudForms System Engine Beta (Debug RPMs)                                    disabled
rhel-6-server-cf-se-1-beta-rpms                          Red Hat CloudForms System Engine Beta (RPMs)                                          disabled
rhel-6-server-cf-se-1-beta-source-rpms                   Red Hat CloudForms System Engine Beta (Source RPMs)                                   disabled
rhel-6-server-cf-se-1-debug-rpms                         Red Hat CloudForms System Engine (Debug RPMs)                                         disabled
rhel-6-server-cf-se-1-rpms                               Red Hat CloudForms System Engine (RPMs)                                               disabled
rhel-6-server-cf-se-1-source-rpms                        Red Hat CloudForms System Engine (Source RPMs)                                        disabled
rhel-6-server-cf-tools-1-beta-debug-rpms                 Red Hat CloudForms Tools for RHEL 6 Beta (Debug RPMs)                                 disabled
rhel-6-server-cf-tools-1-beta-rpms                       Red Hat CloudForms Tools for RHEL 6 Beta (RPMs)                                       disabled
rhel-6-server-cf-tools-1-beta-source-rpms                Red Hat CloudForms Tools for RHEL 6 Beta (Source RPMs)                                disabled
rhel-6-server-cf-tools-1-debug-rpms                      Red Hat CloudForms Tools for RHEL 6 (Debug RPMs)                                      disabled
rhel-6-server-cf-tools-1-rpms                            Red Hat CloudForms Tools for RHEL 6 (RPMs)                                            enabled:    25
rhel-6-server-cf-tools-1-source-rpms                     Red Hat CloudForms Tools for RHEL 6 (Source RPMs)                                     disabled
rhel-6-server-debug-rpms                                 Red Hat Enterprise Linux 6 Server (Debug RPMs)                                        disabled
rhel-6-server-optional-beta-debug-rpms                   Red Hat Enterprise Linux 6 Server - Optional Beta (Debug RPMs)                        disabled
rhel-6-server-optional-beta-rpms                         Red Hat Enterprise Linux 6 Server - Optional Beta (RPMs)                              disabled
rhel-6-server-optional-beta-source-rpms                  Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs)                       disabled
rhel-6-server-optional-debug-rpms                        Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs)                             disabled
rhel-6-server-optional-rpms                              Red Hat Enterprise Linux 6 Server - Optional (RPMs)                                   disabled
rhel-6-server-optional-source-rpms                       Red Hat Enterprise Linux 6 Server - Optional (Source RPMs)                            disabled
rhel-6-server-rpms                                       Red Hat Enterprise Linux 6 Server (RPMs)                                              enabled: 7,211
rhel-6-server-sam-beta-debug-rpms                        Red Hat Subscription Asset Manager (for RHEL 6 Server) Beta (Debug RPMs)              disabled
rhel-6-server-sam-beta-rpms                              Red Hat Subscription Asset Manager (for RHEL 6 Server) Beta (RPMs)                    disabled
rhel-6-server-sam-beta-source-rpms                       Red Hat Subscription Asset Manager (for RHEL 6 Server) Beta (Source RPMs)             disabled
rhel-6-server-sam-debug-rpms                             Red Hat Subscription Asset Manager (for RHEL 6 Server) (Debug RPMs)                   disabled
rhel-6-server-sam-rpms                                   Red Hat Subscription Asset Manager (for RHEL 6 Server) (RPMs)                         disabled
rhel-6-server-sam-source-rpms                            Red Hat Subscription Asset Manager (for RHEL 6 Server) (Source RPMs)                  disabled
rhel-6-server-source-rpms                                Red Hat Enterprise Linux 6 Server (Source RPMs)                                       disabled
rhel-6-server-supplementary                              Red Hat Enterprise Linux 6 Server - Supplementary (RPMs)                              disabled
rhel-6-server-supplementary-beta                         Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs)                         disabled
rhel-6-server-supplementary-beta-debuginfo               Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs)                   disabled
rhel-6-server-supplementary-beta-source-rpms             Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs)                  disabled
rhel-6-server-supplementary-debuginfo                    Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs)                        disabled
rhel-6-server-supplementary-source-rpms                  Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs)                       disabled
rhel-source                                              Red Hat Enterprise Linux 6Server - x86_64 - Source                                    disabled
rhel-source-beta                                         Red Hat Enterprise Linux 6Server Beta - x86_64 - Source                               disabled
repolist: 7,236

# yum whatprovides katello-headpin-all
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
Updating certificate-based repositories.
This system may not be a registered to RHN. SystemId could not be acquired.
RHN Satellite or RHN Classic support will be disabled.
rhel-6-server-cf-tools-1-rpms                                                                                                         | 2.6 kB     00:00     
rhel-6-server-rpms                                                                                                                    | 3.7 kB     00:00     
rhel-6-server-sam-rpms                                                                                                                | 2.6 kB     00:00     
rhel-6-server-sam-rpms/primary_db                                                                                                     |  60 kB     00:00     
katello-headpin-all-0.1.145-1.el6.noarch : A meta-package to pull in all components for katello-headpin
Repo        : rhel-6-server-sam-rpms
Matched from:

Note You need to log in before you can comment on or make changes to this bug.